<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

if ($user['id']<=3){ 

echo '<div class="busi">';

echo '<img src="img.png" alt="."/> Админка > Изменение категорий<br/>';

echo '</div>';

                          
						  
						  
						  
						  if (isset($_GET['del'])){
						  
						  echo '<div class="p_m">';
						  
						  $id = intval($_GET['id']);
						
						  $cat = mysql_fetch_array(mysql_query("select * from `pod_cat` WHERE `id` = '".$id."'"));
						  
						  $num = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `cat_id` = '".$id."'"));
						  
						  if (!isset($cat['name'])){
						
						echo 'Категория не найдена.<br/>';
						
						}else{
						
						if (isset($_POST['submit'])){
						
						$rn = mysql_real_escape_string($_GET['rn']);
						
						$k = intval($_POST['chislo']);
						
						$rn2 = md5($k);
						
						
						if ($rn!==$rn2){
						
						echo 'Извените, число введено не верно.<br/>';
						
						echo '<a href="/pod/edit_cat.php?del&id='.$id.'">Попробовать ещё раз</a><br/>';
						
						}else{
						
						$res = mysql_query("select * from `pod_file` WHERE `cat_id` = '".$id."' order by time desc");
						
						while ($del = mysql_fetch_array($res)){
						
						mysql_query("UPDATE `pod_file` SET `del` = '1' WHERE `id` = '".$del['id']."' LIMIT 1");
						
						}
						
						mysql_query("DELETE FROM `pod_cat` WHERE `id` = '".$id."' LIMIT 1");
						
						echo 'Категория успешно удалена.<br/>';
						
						}
						
						}else{
						
						$rnd = rand(1111,9999);
			
			            $rn = md5($rnd);
			
			echo 'Внимание: <font color="red">при удалении категории, удалятся и все подарки, которые находятся в ней. Советуем просто изменить название на другое.</font><br/>Сейчас в категории <font color="green">'.$num.'</font> подарков.<br/>';
			
			            echo 'Если все таки Вы решили удалить категорию, тогда пожалуйста, введите цифры: <b>'.$rnd.'</b><br/>';
			
			            echo '<form action="/pod/edit_cat.php?del&id='.$id.'&rn='.$rn.'" method="post">';
			
			           echo '<input type="text" name="chislo" value=""/><br/>';
			
			           echo '<input type="submit" name="submit" value="Удалить"/>';
						
						}
						
						}
						  
						  echo '</div>';
						  
						  }else{
						  
						  
						  

                        if (isset($_GET['edit'])){
						
						echo '<div class="p_m">';
						
						$id = intval($_GET['id']);
						
						$cat = mysql_fetch_array(mysql_query("select * from `pod_cat` WHERE `id` = '".$id."'"));
						
						if (!isset($cat['name'])){
						
						echo 'Категория не найдена.<br/>';
						
						}else{
						
						if (isset($_POST['submit'])){
						
						$name = mysql_real_escape_string($_POST['name']);
						
						$str_name = strlen($name);
						
						$cena = intval($_POST['cena']);
						
						if (!$name || !$cena){
						
						echo 'Некорректная цена или название.<br/>';
						
						echo '<a href="/pod/edit_cat.php?edit&id='.$id.'">Назад</a><br/>';
						
						}else{
						
						if ($str_name<5 || $str_name>32){
						
						echo 'Название должно быть не меньше 5 и больше 32 символов.<br/>';
						
						echo '<a href="/pod/edit_cat.php?edit&id='.$id.'">Назад</a><br/>';
						
						}else{
						
						echo 'Категория изменена.<br/>';
						
						echo '<a href="/pod/edit_cat.php?edit&id='.$id.'">Назад</a><br/>';
						
						mysql_query("UPDATE `pod_cat` SET `name` = '".$name."' WHERE `id` = '".$id."' LIMIT 1");
						
						mysql_query("UPDATE `pod_cat` SET `cena` = '".$cena."' WHERE `id` = '".$id."' LIMIT 1");
						
						}
						
						}
						
						}else{
						
						echo 'Укажите новое название категории (5 - 32):<br/>';
						
						echo '<form action="/pod/edit_cat.php?edit&id='.$id.'" method="post">';
			
			            echo '<input type="text" name="name" value="'.$cat['name'].'"/><br/>';
						
						echo 'Новая цена категории:<br/>';
						
						echo '<input type="text" name="cena" value="'.$cat['cena'].'"/><br/>';
			
			            echo '<input type="submit" name="submit" value="Изменить"/>';
						
						}
						
						}
						
						echo '</div>';
						
						}else{

               

           $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pod_cat`"),0);
           $k_page = k_page($k_post,$set['p_str']);
           $page = page($k_page);
           $start = $set['p_str']*$page-$set['p_str'];
           $res = mysql_query("select * from `pod_cat` order by time desc");
		   
		   if ($k_post == 0){
		   
		   echo '<div class="p_m">';
		   
		   echo 'Нет категорий.<br/>';
		   
		   echo '</div>';
		   
		   }else{
		   
		   while ($post = mysql_fetch_array($res)){
		   
		   echo '<div class="p_m">';
		   
		   $num = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `cat_id` = '".$post['id']."'"));
		   
		   echo '<b>'.$post['name'].'</b> [Создана: '.vremja($post['time']).', цена: <font color="red">'.$post['cena'].'</font>]<br/>';
		   
		   echo 'Подарков в категории: <font color="green">'.$num.'</font><br/>';
		   
		   echo '<a href="/pod/edit_cat.php?edit&id='.$post['id'].'">Изменить</a> | <a href="/pod/edit_cat.php?del&id='.$post['id'].'">Удалить</a><br/>';
		   echo '</div>';
		   
		   }
		   
		   }

             

                             }
							 
			}				 
                        
echo '<div class="foot">';

echo '<img src="/style/icons/back.png" alt="."/> <a href="/pod/edit_cat.php">Изменение категорий</a><br/>';

echo '<img src="img.png" alt="."/> <a href="/pod/admin.php">В админку</a><br/>';

echo '</div>';

}else{

header("Location: /pod/");

}

include_once '../sys/inc/tfoot.php';
?>